
# %%def_with M24
%def_without M24

# Version X.Y.Z
%define ver1 0
%define ver2 2
%define ver3 3
%define ver12 %ver1.%ver2

# Release
%if_with M24
%define orel 0.M24.1
%else
%define orel 0
%endif
%define pre_rel alt
#%%define post_rel 0
%ifdef post_rel
%define rel %pre_rel%orel.%post_rel
%else
%define rel %pre_rel%orel
%endif

# Name
%define oname cks

Name:		%oname
Version:	%ver12.%ver3
Release:	%rel
Summary:	CryptNET Key Server

License:	GPL
Group:		Networking/WWW
URL:		http://sourceforge.net/projects/cks

Packager:	Aleksey Avdeev <solo@altlinux.ru>
Source:	%oname-%version.tar.bz2
Patch1:	%oname-%version-alt-makefile-mkinstalldirs-0.3.patch
Patch2:	%oname-%version-alt-init-bindir-0.2.patch
Patch3:	%oname-%version-alt-configure-dirs-0.3.patch

#BuildPreReq:

Provides:	%oname = %version

BuildPreReq: apache-devel

# Automatically added by buildreq on Sun Nov 19 2006 (-bi)
BuildRequires: libpq-devel postgresql-devel samba-common su

%description
The keyserver is RFC2440 (openPGP) compliant. It consists of a series
of CGI scripts written in C for the linux platform. The scripts include
bindings to the Postgres relational database system.

%prep
%setup -q
%patch1 -p2
%patch2 -p2
%patch3 -p2

%define db_www_user %apache_user
%define db_key_user _cks
%define db_user _postgres_
%define db_key_group _cks

%build
autoreconf -fisv
%configure PG_INCLUDE_DIR=%_includedir/pgsql \
	--with-db-www-user=%db_www_user \
	--with-db-key-user=%db_key_user \
	--with-db-user=%db_user \
	--with-confdir=%_sysconfdir
%make_build

%install
install -d %buildroot%_initdir
ln -s %buildroot%_initdir %buildroot%_sysconfdir/init.d
%make_install DESTDIR=%buildroot install
rm -f %buildroot%_sysconfdir/init.d

install -d %buildroot%_localstatedir/%oname

%define cks_cgis add delete search stats sync_manage
install -d %buildroot%_libexecdir/%oname
(cd  %buildroot%_bindir/; ls -1 %cks_cgis) | \
		xargs -i mv %buildroot%_bindir/{} %buildroot%_libexecdir/%oname/{}

%find_lang %name

%pre
%_sbindir/groupadd -r -f %db_key_group 2>/dev/null ||:
%_sbindir/useradd -g %db_key_group -c 'CryptNET Keyserver Daemon' \
		-d %_localstatedir/%oname -s '/bin/sh' \
		-r %db_key_user 2>/dev/null || :

#%post

#%preun
#if [ $1 -eq 0 ]; then
#fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO ABOUT-NLS
%doc cks.sql

%config(noreplace) %_sysconfdir/cksd.conf

%_initdir/cksd

%_bindir/cksd
%_bindir/cks_*
%_libexecdir/%oname

%attr(770,root,%db_key_group) %dir %_localstatedir/%oname
%attr(775,root,%db_key_group) %dir %_var/run/%oname
%attr(775,root,%db_key_group) %dir %_var/log/%oname

%changelog
* Thu Nov 16 2006 Aleksey Avdeev <solo@altlinux.ru> 0.2.3-alt0
- initial build
- add cks-0.2.3-alt-makefile-mkinstalldirs-0.3.patch:
  + install -o -> install + chown
  + "$(mkinstalldirs) -m 755" -> "$(mkinstalldirs)" + "chmod 755"
  + username: cks -> @DBUSER@
- add cks-0.2.3-alt-init-bindir-0.2.patch:
  + use CKSD="@bindir@/cksd"
  + username: cks -> @DBUSER@
- add cks-0.2.3-alt-configure-dirs-0.3.patch:
  + update defoult dirs: CONFDIR, PIDDIR, LOGDIR and DOCDIR
  + set configfile name: CONF
- move cgi to %%_libexecdir/cks/

